/*------------------------------------*\
    #BASE.TYPOGRAPHY
\*------------------------------------*/
/**
 * Basis typographic settings. This includes the definition of @font-face rules.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.base';

//@include drk-font-face('HelveticaNeueLT', '../Fonts/HelveticaNeueLT-Light');
//@include drk-font-face('HelveticaNeueLT', '../Fonts/HelveticaNeueLT-Medium', bold);
//@include drk-font-face('HelveticaNeueLT', '../Fonts/HelveticaNeueLT-Light-Italic', normal, italic);


@include drk-font-face('OpenSans', '../Fonts/OpenSans-Light-webfont');
@include drk-font-face('OpenSans', '../Fonts/OpenSans-Regular-webfont', bold);
@include drk-font-face('OpenSans', '../Fonts/OpenSans-LightItalic-webfont', normal, italic);

html {
    font-size: $drk-base-font-size;
}

body {
    color: $inuit-base-text-color;
    font-family: $drk-font-family;
    font-size: $base-font-size-small-up;

    @media #{$medium-up}{
        font-size: $base-font-size-medium-up;
    }

    @media #{$large-up}{
        font-size: $base-font-size-large-up;
    }
}

a {
    color: $drk-color-blue;
    text-decoration: none;

    @include drk-hover {
        text-decoration: underline;
    }
}

em {
    color: $drk-color-light-red;
    font-style: normal;
}

p {
    margin-top: 0;
}
